classification
Title: A Jython section in the dev guide would be great
Type: enhancement Stage: resolved
Components: Devguide Versions:
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, eric.araujo, ezio.melotti, fwierzbicki, ncoghlan, pitrou
Priority: normal Keywords:

Created on 2011-11-23 18:46 by fwierzbicki, last changed 2012-01-16 05:44 by ezio.melotti. This issue is now closed.

Messages (8)
msg148200 - (view) Author: Frank Wierzbicki (fwierzbicki) * (Python committer) Date: 2011-11-23 18:46
Nick suggested this as a comment on a blog post of mine -- I'll come up with some content, but I wanted to log the bug straight away so I wouldn't forget.
msg148220 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-11-24 00:49
Uh, rather -1 on this. I would suggest Jython gets its own devguide (which can of course copy stuff from CPython's), since Jython and CPython are distinct projects. No need to confuse readers by mixing instructions for two different projects in a single guide.
msg148225 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2011-11-24 03:03
Hosting "docs.python.org/devguide/jython" doesn't seem like an unreasonable idea at all to me, and what's the benefit to CPython in making the Jython team go to the effort of building out independent deployment and source control infrastructure for their own devguide?

wiki.python.org is already shared between the two projects, and pydotorg hosts the Jython source control infrastructure in addition to CPython's.

More generally, given that we now provide cross-links to PyPy, Jython and IronPython from the download pages, it also seems reasonable to provide pointers to their own "get involved" resources from the CPython devguide.
msg148236 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2011-11-24 10:25
> Hosting "docs.python.org/devguide/jython" doesn't seem like an
> unreasonable idea at all to me, and what's the benefit to CPython in
> making the Jython team go to the effort of building out independent
> deployment and source control infrastructure for their own devguide?

We can *host* (in the Web hosting sense) the jython devguide. That
certainly doesn't mean it belongs in the same piece of documentation.

Our devguide was created to explain how to contribute to the CPython
project. Creating a Jython section only makes things messier than they
are, and it certainly doesn't help our users.

Really, I'm sure setting up a crontab and creating an hg repo is easy
enough for the Jython people (or whoever wants to help them in that
matter).

> wiki.python.org is already shared between the two projects, and
> pydotorg hosts the Jython source control infrastructure in addition to
> CPython's.

Providing infrastructure is not the same as sharing the development
resources themselves. We don't share the (CPython) hg repo, and we don't
share the (CPython) bug tracker. There's no reason to share the
(CPython) devguide, not until the two projects merge together.

(as for the wiki... well, suffice to say that it's a terrible mess and I
hope it's not an example for the devguide. If the wiki was actually
useful and practical we wouldn't have made the devguide a separate site,
I guess)

> More generally, given that we now provide cross-links to PyPy, Jython
> and IronPython from the download pages, it also seems reasonable to
> provide pointers to their own "get involved" resources from the
> CPython devguide.

We already provide pointers from the devguide:
http://docs.python.org/devguide/#other-interpreter-implementations
It's only a matter of changing the URLs if these projects ask us to.
msg148286 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-11-24 19:07
I'd search the Jython devguide at http://www.jython.org/devguide/, having it at http://docs.python.org/devguide/jython/ doesn't make much sense IMHO (especially if it is a "full" guide with several pages).
msg148396 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-11-26 13:02
python.org is not specific to CPython, but I agree with Antoine that docs.python.org/devguide is.  So I went and found the blog post that Frank alludes to in the OP is here: http://fwierzbicki.blogspot.com/2011/11/contributing-to-jython.html
Nick proposed adding a jython page to the cpython devguide and Frank agreed, saying “much of a dev guide I might put up would largely cut and paste from there”.  If Jython development is very much like CPython’s apart from repo URI, build process and bug tracker URI, then it could fit in just one page and be part of the devguide.  If the process widely differs and many pages would be needed, then separate devguides may be better.
msg148521 - (view) Author: Frank Wierzbicki (fwierzbicki) * (Python committer) Date: 2011-11-28 23:28
I'll take a look at the dev guide this week and see how much it differs from what I'd want to do and report back here. If it doesn't make sense to include a Jython page here I can either copy content over or link to the CPython dev guide from the Jython one.
msg150276 - (view) Author: Frank Wierzbicki (fwierzbicki) * (Python committer) Date: 2011-12-28 00:02
I have forked the devguide into http://hg.python.org/jython-docs/devguide/ -- this way I can merge changes from the main devguide as they make sense. DVCS FTW :) -- I guess this issue can be closed.
History
Date User Action Args
2012-01-16 05:44:14ezio.melottisetstage: resolved
2011-12-28 00:03:45fwierzbickisetstatus: open -> closed
2011-12-28 00:02:53fwierzbickisetmessages: + msg150276
2011-11-28 23:28:00fwierzbickisetmessages: + msg148521
2011-11-26 13:02:34eric.araujosetnosy: + eric.araujo
messages: + msg148396
2011-11-24 19:07:56ezio.melottisetmessages: + msg148286
2011-11-24 10:25:31pitrousetmessages: + msg148236
2011-11-24 03:03:49ncoghlansetstatus: closed -> open
resolution: rejected ->
messages: + msg148225
2011-11-24 00:49:33pitrousetstatus: open -> closed

nosy: + pitrou
messages: + msg148220

resolution: rejected
2011-11-23 18:46:54fwierzbickicreate